package com.wechat.model.requestDto;

import javax.validation.constraints.NotNull;

public class OrderInfoReq {
	@NotNull(message = "套餐不能为空|vip package can not be null")
	private int pkgId;//套餐id（会员套餐表id）
	
	@NotNull(message = "身份不能为空|identityFlag can not be null")
	private String identityFlag;
	
	@NotNull(message = "用户不能为空|userCode can not be null")
	private String userCode;
	
	@NotNull(message = "订单来源不能为空|orderSource can not be null")
	private String orderSource;
	
	@NotNull(message = "购买有效期不能为空|validityPeriod can not be null")
	private int validityPeriod;

	public int getPkgId() {
		return pkgId;
	}

	public void setPkgId(int pkgId) {
		this.pkgId = pkgId;
	}

	public String getIdentityFlag() {
		return identityFlag;
	}

	public void setIdentityFlag(String identityFlag) {
		this.identityFlag = identityFlag;
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public String getOrderSource() {
		return orderSource;
	}

	public void setOrderSource(String orderSource) {
		this.orderSource = orderSource;
	}

	public int getValidityPeriod() {
		return validityPeriod;
	}

	public void setValidityPeriod(int validityPeriod) {
		this.validityPeriod = validityPeriod;
	}

	
	
}
